Timeline


and

06/09/08:

14:04 Changeset [23018] by ghudson
In NOTES, add a section documenting the metapackages.
13:11 Changeset [23017] by ghudson
In debathenify-lprng, remove the provides and conflicts for "lpr"; otherwise we will still have a conflict with cupsys-bsd.
12:01 Changeset [23016] by ghudson
In debathenify-lprng, adjust the postinst script to take into account the renamed commands.
11:28 Changeset [23015] by ghudson
In lprng-config: * Stop hedging and demand debathena-lprng specifically.
11:13 Changeset [23014] by ghudson
In cupsys-config: * Depend on cupsys-bsd, mostly as a way to restore cupsys-bsd and cupsys-client on systems which have lprng installed.
04:24 Changeset [23013] by ghudson
In lprng-config: * Prefer debathena-lprng to lprng, but either will work. * Stop recommending debathena-lprng-no-server-config since debathena-lprng takes care of that.
04:19 Changeset [23012] by ghudson
In evolution-wrapper: * Depend on debathena-evolution-data-server to ensure krb4 support.
04:16 Changeset [23011] by ghudson
Build the debathenified evolution-data-server on Dapper. It won't be any different from the native one, but it will provide debathena-evolution-data-server. We need to require that in evolution-wrapper since the wrapper's configurations won't work without krb4 auth support.

06/08/08:

18:53 Changeset [23010] by ghudson
In debathenify-lprng, make moving dephelper scripts conditional on their existence, since the dapper version of lprng doesn't have a prerm script.
18:48 Changeset [23009] by ghudson
In debathenificator, use pbuilder-satisfydepends instead of apt-get build-dep. Works around a problem where "apt-get build-dep lprng" fails on Feisty due to apt being picky about build dependencies on virtual packages (specifically, libwrap-dev). Tested successfully against all of the existing debathenify packages.

06/06/08:

00:46 Changeset [23008] by ghudson
Fold the functionality of debathena-lprng-no-server-config into debathenify-lprng by fixing the cron job when debathenifying the package.

06/05/08:

15:59 Changeset [23007] by ghudson
In debathenify-lprng, add init.d to the list of debhelper files to rename.
15:47 Changeset [23006] by ghudson
Add a debathenificator package to lprng which renames the package and commands to avoid conflicting with CUPS.

06/04/08:

14:00 Changeset [23005] by ghudson
Fix a grammar error in zctl's help output.

06/03/08:

17:57 Changeset [23004] by ghudson
Moving firefox-wrapper to debathena broke its build, since packages outside of athena/ don't get run through daconfiscate. Switch to a bare Makefile.
13:07 Changeset [23003] by ghudson
Bump version of cluster-software metapackage for recent changes.
13:07 Changeset [23002] by ghudson
Add pidgin and evolution wrappers to debathena-workstation.
12:49 Changeset [23001] by ghudson
In firefox-wrapper: * Punt Debian version component; we are no longer treating wrapper scripts as portable software.
12:42 Changeset [23000] by ghudson
In pidgin-wrapper: * Convert to config-package-dev. * Punt autoconf goo and use debhelper-style install. * Punt Debian version component; this is not portable software.
12:21 Changeset [22999] by ghudson
Move pidgin-wrapper and firefox-wrapper from athena/bin to debathena/debathena.
12:09 Changeset [22998] by ghudson
Add new evolution wrapper script package to perform initial configuration and Hesiod lookups.

06/02/08:

12:39 Changeset [22997] by ghudson
In hesiod-config: * Set classes=IN to improve error results for failed lookups.

06/01/08:

12:34 Ticket #89 (debathena-build-depends is out of date) closed by broder
fixed: This built fine when I attempted to build it, so I've built and uploaded …
02:06 Changeset [22996] by broder
The apt-get source should not run as root
01:54 Changeset [22995] by broder
dpkg-source -x has some weird bug in Lenny with AFS. This works around it.
01:52 Ticket #87 (Debathena doesn’t install on Lenny) closed by broder
fixed: And...new bash package for Lenny uploaded.

05/31/08:

19:46 Changeset [22994] by broder
Depends: barnowl | owl instead of just owl, so that most people will get new shiny
18:59 Changeset [22993] by ghudson
Add a debathenificator package for evolution-data-server to enable krb4 auth support.
17:01 Changeset [22992] by broder
I said I wanted debathena-cupsys-config | debathena-lprng-config? I lied - they can peacefully coexist
16:15 Changeset [22991] by ghudson
Fix apparently harmless syntax error in debathenify-cyrus-sasl2-mit.
16:03 Changeset [22990] by ghudson
In append_description() in debathenificator, don't treat lines containing only whitespace as continuation lines for the Description field, as they are treated as separator lines by the dpkg tools.
12:00 Changeset [22989] by broder
Desupport Edgy

05/29/08:

14:55 Changeset [22988] by ghudson
Add new package debathena-tex-extras containing the custom dvips headers we have in Athena 9.4.
14:33 Changeset [22987] by ghudson
In debathena-cluster-software, expand the tex dependencies to texlive-full or tetex-extra.
12:37 Changeset [22986] by ghudson
Add krb5-clients to debathena-cluster-software package.
12:11 Changeset [22985] by ghudson
Add notes on removing a dist from an apt repository.

05/28/08:

19:58 Changeset [22984] by ghudson
Update Debathena notes for schroot change (10mount.patch -> mount-defaults.patch).
19:58 Changeset [22983] by ghudson
schroot no longer hardcodes its mounts in setup.d/10mounts; they are configured in mount-defaults. Replace 10mounts.patch with mount-defaults.patch in the build server scripts directory.
19:56 Changeset [22982] by ghudson
Add fakeroot to the list of packages to install on a build server.

05/25/08:

18:40 Changeset [22981] by tabbott
In athinfod: * Remove old transitional code from 9.4.0-0debathena4 changeset.
14:41 Ticket #90 (debathena-discuss-server doesn't create inetd/xinetd service) created by tabbott
The debathena-discuss-server package apparently doesn't work. It's never …
14:02 Ticket #89 (debathena-build-depends is out of date) created by tabbott
debathena-build-depends still depends on config-package-dev and thus is …
14:01 Changeset [22980] by tabbott
In build-depends: * Version bump for rebuilding on Hardy and removing debathena-config-build-common. * Initial release
13:59 Ticket #88 (Lock down chroots on debuild.mit.edu) created by tabbott
We should find a mechanism to lock down chroots on debuild.mit.edu. Users …
03:17 Changeset [22979] by tabbott
Remove old locking code from SbuildHack.pm.
03:03 Changeset [22978] by tabbott
Use the new --apt-update feature of schroot 1.20 to simplify sbuildhack.

05/22/08:

20:31 Changeset [22977] by broder
Desupport Sarge - the new version of sbuild doesn't play nice with sarge, and we don't care enough to fix it
18:27 Ticket #87 (Debathena doesn’t install on Lenny) created by andersk
* bash needs to be rebuilt. * owl doesn't exist on Lenny and depends …

05/18/08:

20:28 Ticket #86 (firefox-extension should install CRL) created by andersk
As with #67, the firefox-extension package should install the new CRL from …

05/17/08:

22:43 Changeset [22976] by geofft
In linerva: * Update k5login.

05/12/08:

13:57 Changeset [22975] by ghudson
In dotfiles: * Add new .generation dotfile to distinguish old and new accounts. * Make double-sided printing the default for new users.
13:38 Changeset [22974] by ghudson
In session: * For bash users, execute .bash_logout instead of .logout. * Execute the logout dotfile in the user's shell.

05/11/08:

18:52 Ticket #85 (discuss-emacs is horked) created by andersk
Running emacs, M-x discuss on linerva only gives […]
18:50 Ticket #84 (xdsc crashes on adding a meeting) created by andersk
After adding the sipb-ec meeting with xdsc on linerva, it crashed with …
Note: See TracTimeline for information about the timeline view.